## LassoDiscoRequestedServiceType LassoDiscoRequestedServiceType — <disco:RequestedServiceType> |

## Functions

LassoDiscoRequestedServiceType * | lasso_disco_requested_service_type_new ()

## Types and Values

struct | LassoDiscoRequestedServiceType

## Description

Figure 112. Schema fragment for disco:RequestedServiceType

    <xs:element name="RequestedServiceType" minOccurs="0" maxOccurs="unbounded">
      <xs:complexType>
         <xs:sequence>
           <xs:element ref="ServiceType"/>
           <xs:element ref="Options" minOccurs="0"/>
         </xs:sequence>
      </xs:complexType>
    </xs:element>

    <xs:element name="ServiceType" type="xs:anyURI"/>

## Functions

### lasso_disco_requested_service_type_new ()

    LassoDiscoRequestedServiceType *
    lasso_disco_requested_service_type_new
                                   (const char *serviceType);

## Types and Values

### struct LassoDiscoRequestedServiceType

    struct LassoDiscoRequestedServiceType {
    	LassoNode parent;

    	char  *ServiceType;
    	LassoDiscoOptions *Options;
    };